global _YES, _NO, _ADDTODOCKTITLE, _ADDTODOCK, _STARTAPP, MY_POSIX_PATH, DOQUIT, PLIST_LANGUAGE, PLIST_REGION, MYRESULT, CAPTURE

set CAPTURE to "Capture NX.app"
set MYRESULT to 0

--
-- setLanguageSpecificVariables
--
set lang to ""
try
	set lang to do shell script "test=`/usr/bin/defaults read $HOME/Library/Preferences/.GlobalPreferences AppleLanguages`; echo `echo $test | cut -d, -f1 | sed 's/(//g' | sed 's/ //g' | sed 's/\"//g'`"
end try
if lang = "de" or lang = "German" then
	set _YES to "Ja"
	set _NO to "Nein"
	set _ADDTODOCKTITLE to "Capture NX installieren"
	set _ADDTODOCK to "Mchten Sie Capture NX zum Dock hinzufgen?"
	set _STARTAPP to "Soll Capture NX gestartet werden, sobald der Installationsvorgang abgeschlossen wurde?"
	
else if lang = "fr" or lang = "French" then
	set _YES to "Oui"
	set _NO to "Non"
	set _ADDTODOCKTITLE to "Installer Capture NX"
	set _ADDTODOCK to "Voulez-vous ajouter Capture NX au Dock ?"
	set _STARTAPP to "Voulez-vous lancer Capture NX une fois l'installation termine ?"
	
else if lang = "es" or lang = "Spanish" then
	set _YES to "S"
	set _NO to "No"
	set _ADDTODOCKTITLE to "Instalar Capture NX"
	set _ADDTODOCK to "Desea agregar Capture NX al Dock?"
	set _STARTAPP to "Desea iniciar Capture NX al completar el proceso de instalacin?"
	
else if lang = "it" or lang = "Italian" then
	set _YES to "S"
	set _NO to "No"
	set _ADDTODOCKTITLE to "Installazione di Capture NX"
	set _ADDTODOCK to "Si desidera aggiungere Capture NX al Dock?"
	set _STARTAPP to "Avviare Capture NX al termine dellinstallazione?"
	
else if lang = "nl" or lang = "Dutch" then
	set _YES to "Ja"
	set _NO to "Nee"
	set _ADDTODOCKTITLE to "Capture NX installeren"
	set _ADDTODOCK to "Wilt u Capture NX aan uw Dock toevoegen?"
	set _STARTAPP to "Wilt u Capture NX starten als de installatie voltooid is?"
	
else if lang = "ko" or lang = "Korean" then
	set _YES to (data utxt110B1168 as Unicode text)
	set _NO to (data utxt110B116111021175110B1169 as Unicode text)
	set _ADDTODOCKTITLE to "Capture NX" & (data utxtC124CE58 as Unicode text)
	set _ADDTODOCK to "Capture NX " & (data utxtB97C00200044006F0063006BC5D00020CD94AC00D558C2DCACA0C2B5B2C8AE4C003F as Unicode text)
	set _STARTAPP to (data utxt1109116511AF110E11750020110C116511AF110E1161110011610020110B116A11AB1105116D1103116C11AB00201112116E as Unicode text) & " Capture NX" & (data utxt1105117311AF002011091175110C116111A811121161110911751100116611BB1109117311B81102117511011161003F as Unicode text)
	
else if lang = "ja" or lang = "Japanese" then
	set _YES to (data utxt306F3044 as Unicode text)
	set _NO to (data utxt304430443048 as Unicode text)
	set _ADDTODOCKTITLE to "Capture NX " & (data utxt306E30A430F330B930C830FC30EB as Unicode text)
	set _ADDTODOCK to "Capture NX " & (data utxt30920044006F0063006B306B52A03048306630823088308D30573044306630993059304B003F as Unicode text)
	set _STARTAPP to (data utxt30A430F330B930C830FC30EB5B8C4E865F8C3001 as Unicode text) & "Capture NX " & (data utxt30928D7752D53057307E3059304B003F as Unicode text)
	
else if lang = "sv" or lang = "Swedish" then
	set _YES to "Ja"
	set _NO to "Nej"
	set _ADDTODOCKTITLE to "Installera Capture NX"
	set _ADDTODOCK to "Vill du lgga till Capture NX i Dock?"
	set _STARTAPP to "Vill du starta Capture NX nr installationen r klar?"
	
else if lang = "zh-Hant" or lang = "zh_TW" then
	set _YES to (data utxt662F as Unicode text)
	set _NO to (data utxt5426 as Unicode text)
	set _ADDTODOCKTITLE to (data utxt5B8988DD as Unicode text) & "Capture NX"
	set _ADDTODOCK to (data utxt89815C07 as Unicode text) & " Capture NX " & (data utxt65B0589E523060A876840044006F0063006B55CEFF1F as Unicode text)
	set _STARTAPP to (data utxt898157285B8988DD5B8C62105F8C5373555F52D5 as Unicode text) & " Capture NX?"
	
else if lang = "zh-Hans" or lang = "zh_CN" then
	set _YES to (data utxt662F as Unicode text)
	set _NO to (data utxt5426 as Unicode text)
	set _ADDTODOCKTITLE to (data utxt5B8988C5 as Unicode text) & "Capture NX"
	set _ADDTODOCK to (data utxt662F542689815C06 as Unicode text) & " Capture NX " & (data utxt6DFB52A0523060A876840044006F0063006B003F as Unicode text)
	set _STARTAPP to (data utxt662F542657285B8988C55B8C6210540E5373542F52A8 as Unicode text) & " Capture NX?"
	
else
	set _YES to "Yes"
	set _NO to "No"
	set _ADDTODOCKTITLE to "Install Capture NX"
	set _ADDTODOCK to "Would you like to add Capture NX to your Dock?"
	set _STARTAPP to "Would you like to launch Capture NX once the installation process is completed?"
end if



--
-- addToDock
--
do shell script "if [[ `/usr/bin/defaults read $HOME/Library/Preferences/com.apple.dock | grep " & quoted form of CAPTURE & "` = \"\" ]]; then echo 1; else echo 0; fi"
set test to the result as string
if test = "1" then
	with timeout of 86400 seconds
		try
			tell application "Finder"
				activate
				display dialog _ADDTODOCKTITLE & "

" & _ADDTODOCK buttons {_NO, _YES} default button 2
			end tell
		end try
	end timeout
	if button returned of the result = _YES then
		set MYRESULT to MYRESULT + 1
	end if
end if




--
-- startApp
--
with timeout of 86400 seconds
	try
		tell application "Finder"
			activate
			display dialog _ADDTODOCKTITLE & "

" & _STARTAPP buttons {_NO, _YES} default button 2
		end tell
	end try
end timeout
if button returned of the result = _YES then
	set MYRESULT to MYRESULT + 2
end if
return MYRESULT