global _QUIT, _INVALID_PATH, MY_POSIX_PATH, DOQUIT, PLIST_LANGUAGE, PLIST_REGION, MYRESULT, CAPTURE

--
-- setLanguageSpecificVariables
--
set lang to ""
try
	set lang to do shell script "test=`/usr/bin/defaults read $HOME/Library/Preferences/.GlobalPreferences AppleLanguages`; echo `echo $test | cut -d, -f1 | sed 's/(//g' | sed 's/ //g' | sed 's/\"//g'`"
end try
if lang = "de" or lang = "German" then
	set _QUIT to "OK"
	set _INVALID_PATH to "Sie verfgen nicht ber die erforderlichen Befugnisse, um die Installation am von Ihnen ausgewhlten Ort durchzufhren. Whlen Sie bitte einen anderen Ort."
	
else if lang = "fr" or lang = "French" then
	set _QUIT to "OK"
	set _INVALID_PATH to "Vous navez pas les privilges requis pour installer le programme dans le dossier requis. Veuillez choisir un autre dossier."
	
else if lang = "es" or lang = "Spanish" then
	set _QUIT to "OK"
	set _INVALID_PATH to "Usted no cuenta con los privilegios necesarios para realizar la instalacin en la ubicacin que ha seleccionado. Seleccione una ubicacin diferente."
	
else if lang = "it" or lang = "Italian" then
	set _QUIT to "OK"
	set _INVALID_PATH to "Non si  in possesso dei diritti necessari per linstallazione con il percorso selezionato. Selezionare un percorso di installazione diverso."
	
else if lang = "nl" or lang = "Dutch" then
	set _QUIT to "OK"
	set _INVALID_PATH to "U beschikt over onvoldoende bevoegdheden om te installeren in de door u gekozen locatie. Selecteer een andere locatie."
	
else if lang = "ko" or lang = "Korean" then
	set _QUIT to (data utxtD655C778 as Unicode text)
	set _INVALID_PATH to (data utxtD544C694D55C0020AD8CD55CC7740020C5C6C73CBBC0B85C0020C120D0DDD55C0020C7A5C18CC5D00020C124CE58D5600020C2180020C5C6C2B5B2C8B2E4002E0020B2E4B9780020C7A5C18CB97C0020C120D0DDD558C2EDC2DCC624002E as Unicode text)
	
else if lang = "ja" or lang = "Japanese" then
	set _QUIT to "OK"
	set _INVALID_PATH to (data utxt6A299650304B30995341520630663099306A3044305F308130019078629E3055308C305F58346240306B30A430F330B930C830FC30EB30663099304D307E305B309330024ED6306E5834624030929078629E30573066304F305F3099305530443002 as Unicode text)
	
else if lang = "sv" or lang = "Swedish" then
	set _QUIT to "OK"
	set _INVALID_PATH to "Du har inte den ndvndiga behrigheten fr att installera till den valda destinationen. Var god vlj en annan destination."
	
else if lang = "zh-Hant" or lang = "zh_TW" then
	set _QUIT to (data utxt78BA5B9A as Unicode text)
	set _INVALID_PATH to (data utxt60A86C9267098DB3592076846B0A52295C0751765B8988DD81F360A86240907864C776844F4D7F6E30028ACB907864C751764ED64F4D7F6E3002 as Unicode text)
	
else if lang = "zh-Hans" or lang = "zh_CN" then
	set _QUIT to (data utxt786E5B9A as Unicode text)
	set _INVALID_PATH to (data utxt60A86CA167098DB3591F7684674352295C0651765B8988C581F360A86240900962E976844F4D7F6E30028BF7900962E951765B834F4D7F6E3002 as Unicode text)
	
else
	set _QUIT to "OK"
	set _INVALID_PATH to "You do not have sufficient rights to install to the location you have selected. The installer will now quit."
end if



--
-- InvalidPath
--
with timeout of 86400 seconds
	try
		tell application "Finder"
			activate
			display dialog _INVALID_PATH buttons {_QUIT} default button 1
		end tell
	end try
end timeout
do shell script "killall -HUP Installer"